# setup some vars
set workPath  "Genesis67:QTVR:Marathon:"
export workPath

set	outName	"Marathon"

set outFile  "{workPath}{outName}.stitch"

set rawPicts  "{workPath}SourcePicts"
export rawPicts

set	srcPict "{workPath}{outName}.srcPict"
export srcPict

set	srcMoov	"{workPath}{outName}.srcMoov"
export srcMoov

set	vrMoov	"{workPath}{outName}"
export vrMoov

################################################################
# DONGLE ?
# exposures: QuickTake 150 portrait mode
# PICTs are 01-18 Portrait Photoflash
# FOVY is about: 89 (Test with -fovy 90 4)
################################################################

# STITCH #######################################################
Delete -i -y "{srcPict}"   # clean start
Close "{outFile}"  dev:null && beep
Stitch -verbose -cropOut 
	-sharpen -blend -fill 
	-fovy 43  #4 ##
#	-i ###
	-show ###
	-wrap ###
	-outWidth 640 ###
	-outHeight 6144 ###
	-offset 335 0 -range 20 10 
	-rotate 0.5 
	-win 800 500 
	-dir "{rawPicts}" -files 03-16,18-21 
	-out "{srcPict}"  "{outFile}"
Open -r "{outFile}"

################################################################

######## output
# DICE
set tiling	"1 24"

delete -i -y "{srcMoov}"
p2mv {tiling} "{srcMoov}" -in "{srcPict}" -codec "cvid" 

unset windowSize
set windowSize " -windowSize 480 300" 
set vPanRange " -vPanRange 19 -19" 
set hPanRange " -hPanRange 0 360"

delete -i -y "{vrMoov}"
msnm "{vrMoov}" -source "{srcMoov}" {tiling} {windowSize} {vPanRange} {hPanRange}

#########
Beep a,10 '_,8' e,6 'd#',6 e,8 f,18 e,12 '_,18' 'g#,8' '_,8'  a,10
#########

exit

v 631 h 2934

eval "342 + 341"